commit:     c02abc9dbb16406c03110c8c3cec214827eef031
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  2 12:42:11 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jul  2 13:09:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c02abc9d

dev-python/pycipher: Modernize to python-r1 suite

* EAPI=6

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/1814

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/pycipher/pycipher-0.2-r1.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-python/pycipher/pycipher-0.2-r1.ebuild 
b/dev-python/pycipher/pycipher-0.2-r1.ebuild
new file mode 100644
index 0000000..40d801d
--- /dev/null
+++ b/dev-python/pycipher/pycipher-0.2-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit python-r1
+
+DESCRIPTION="A Python module that implements several well-known classical 
cipher algorithms"
+HOMEPAGE="http://pycipher.sourceforge.net";
+SRC_URI="mirror://sourceforge/${PN}/${P}.py"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+src_unpack() {
+       mkdir "${S}" || die
+       cp "${DISTDIR}/${A}" "${S}/${PN}.py" || die
+}
+
+src_install() {
+       python_foreach_impl python_domodule ${PN}.py
+}

Reply via email to